# Uses of Enum Class
org.apache.sysds.hops.codegen.SpoofFusedOp.SpoofOutputDimsType

Packages that use SpoofFusedOp.SpoofOutputDimsType
Package
Description
org.apache.sysds.hops.codegen
org.apache.sysds.hops.codegen.cplan

## Uses of SpoofFusedOp.SpoofOutputDimsType in org.apache.sysds.hops.codegen

Methods in org.apache.sysds.hops.codegen that return SpoofFusedOp.SpoofOutputDimsType
Modifier and Type
Method
Description
`static SpoofFusedOp.SpoofOutputDimsType`
SpoofFusedOp.SpoofOutputDimsType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofFusedOp.SpoofOutputDimsType[]`
SpoofFusedOp.SpoofOutputDimsType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.hops.codegen with parameters of type SpoofFusedOp.SpoofOutputDimsType
Modifier
Constructor
Description
``
`SpoofFusedOp(String name, Types.DataType dt, Types.ValueType vt, Class<?> cla, SpoofCompiler.GeneratorAPI api, String genVarName, boolean dist, SpoofFusedOp.SpoofOutputDimsType type)`

## Uses of SpoofFusedOp.SpoofOutputDimsType in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return SpoofFusedOp.SpoofOutputDimsType
Modifier and Type
Method
Description
`SpoofFusedOp.SpoofOutputDimsType`
CNodeCell.`getOutputDimType()`
`SpoofFusedOp.SpoofOutputDimsType`
CNodeMultiAgg.`getOutputDimType()`
`SpoofFusedOp.SpoofOutputDimsType`
CNodeOuterProduct.`getOutputDimType()`
`SpoofFusedOp.SpoofOutputDimsType`
CNodeRow.`getOutputDimType()`
`abstract SpoofFusedOp.SpoofOutputDimsType`
CNodeTpl.`getOutputDimType()`